#237 libfm build with optional GTK+ support

1.3
closed-fixed
nobody
None
5
2012-09-21
2012-07-23
Mateusz Loskot
No

I modified the build configuration to enable optional GTK+ support.
There is new option --enable-gtk (default=yes) add.
If --enable-gtk=no is used, then libfm-gtk library is not built, thus no GTK+ UI extensions are generated.

IMO, it's a good idea to provide such feature in libfm.

Discussion

    • milestone: --> 1.3
     
  • Implemented in current git master branch. Gtk can be selected 2, 3, or none.

     
    • status: open --> closed-fixed